%define min_apache_version 1.3.6
Summary: A DAV module for Apache.
Name: mod_dav
Version: 1.0.3
Release: 4
Group: System Environment/Daemons
URL: http://www.webdav.org/mod_dav/
Source0: http://www.webdav.org/mod_dav/mod_dav-%{version}-%{min_apache_version}.tar.gz
Patch0: mod_dav-1.0.3-string.patch
Patch1: mod_dav-1.0.2-64bit.patch
License: Apache-style
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel
Prereq: webserver

%description 
The mod_dav module gives the Apache Web server the ability to
understand the DAV (Distributed Authoring and Versioning) protocol of
extensions to HTTP. DAV is a complete set of protocols for
manipulating a Web server's files and directories and their
properties. It is intended to replace proprietary authoring protocols
such as those used by FrontPage and NetObjects' Fusion.

%prep
%setup -q -n %{name}-%{version}-%{min_apache_version}
%patch0 -p0 -b .string
%patch1 -p0 -b .64

%build
%configure --with-apxs=%{_sbindir}/apxs --without-expat
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m 755 libdav.so $RPM_BUILD_ROOT%{_libdir}/apache

# create a prototype lock database
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/dav
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/dav/lockdb.{dir,pag}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/apache/libdav.so
%attr(0700,apache,root) %dir %{_localstatedir}/lib/dav
%attr(0600,apache,root) %ghost %{_localstatedir}/lib/dav/lockdb.dir
%attr(0600,apache,root) %ghost %{_localstatedir}/lib/dav/lockdb.pag

%doc README CHANGES INSTALL LICENSE.html

%changelog
* Tue Mar 19 2002 Gary Benson <gbenson@redhat.com> 1.0.3-4
- change webserver requirement to a prereq since the apache user is
  required.

* Tue Mar 19 2002 Joe Orton <jorton@redhat.com>
- fix description and remove unzip dependency
- add lock database /var/lib/dav
- add patch to fix 64-bit issues
- add patch to fix mod_perl/perl large file support problems

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.3-3
- rebuild

* Wed Jan 23 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.3-1
- update to 1.0.3

* Tue Jul 24 2001 Nalin Dahyabhai <nalin@redhat.com> 1.0.2-6
- build using the built-in expat in httpd (--without-expat)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2
- depend on external expat-devel

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to mod_dav-1.0.0 for the main distribution

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to mod_dav-0.9.17 for Power Tools
- add URL: tag
- rename apache_version macro to min_apache_version
- add defattr
- remove outdated faq and readme

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for new Apache (release 2)

* Thu Feb 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- upgraded to 0.9.15 for 3.2

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.9.11.

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
